﻿using Styx;
using Styx.Helpers;

namespace Gladiatore
{
    public class GladiatoreSettings : Settings
    {
        public GladiatoreSettings()
            : base(Logging.ApplicationPath + @"\Settings\Gladiatore_" + StyxWoW.Me.Name + ".xml")
        {
            Load();
        }

        ~GladiatoreSettings()
        {
            Save();
        }

        [Setting, DefaultValue(false)]
        public bool UseCShout { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseSunder { get; set; }

        [Setting, DefaultValue(false)]
        public bool UsePummel { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseCooldowns { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseArms { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseFury { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseProt { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseBR { get; set; }

        [Setting, DefaultValue(true)]
        public bool PauseOnPendingAOE { get; set; }

        [Setting, DefaultValue(15)]
        public int MaxDistance { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseAoE { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseEnrage { get; set; }

        [Setting, DefaultValue(false)]
        public bool UseDShout { get; set; }
    }
}
