﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Gladiatore
{
    public partial class GladiatoreGui : Form
    {
        public GladiatoreGui()
        {
            InitializeComponent();
        }

        private void GladiatoreGui_FormClosing(object sender, FormClosingEventArgs e)
        {
            Warrior.Instance.Settings.MaxDistance = (int)nudMaxDist.Value;
            Warrior.Instance.Settings.UseCShout = cbCShout.Checked;
            Warrior.Instance.Settings.UsePummel = cbUsePummel.Checked;
            Warrior.Instance.Settings.UseCooldowns = cbUseCooldowns.Checked;
            Warrior.Instance.Settings.UseBR = cbUseBR.Checked;
            Warrior.Instance.Settings.UseDShout = cbDShout.Checked;
            Warrior.Instance.Settings.PauseOnPendingAOE = cbUseHL.Checked;
            Warrior.Instance.Settings.UseAoE = cbUseAoE.Checked;
            Warrior.Instance.Settings.UseSunder = cbUseSunder.Checked;
            Warrior.Instance.Settings.UseEnrage = cbEnrage.Checked;
            Warrior.Instance.Settings.UseArms = rbUseArms.Checked;
            Warrior.Instance.Settings.UseFury = rbUseFury.Checked;
            Warrior.Instance.Settings.UseProt = rbUseProt.Checked;
            Warrior.Instance.Settings.Save();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void GladiatoreGui_Load(object sender, EventArgs e)
        {
            reset();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            reset();
        }

        private void InitializeMyGroupBox()
        {
            GroupBox gbSpecChoice = new GroupBox();
            RadioButton rbUseArms = new RadioButton();
            RadioButton rbUseFury = new RadioButton();
            RadioButton rbUseProt = new RadioButton();

            gbSpecChoice.FlatStyle = FlatStyle.System;

            gbSpecChoice.Controls.Add(rbUseArms);
            gbSpecChoice.Controls.Add(rbUseFury);
            gbSpecChoice.Controls.Add(rbUseProt);

            Controls.Add(gbSpecChoice);
        }

        private void reset()
        {
            nudMaxDist.Value = Warrior.Instance.Settings.MaxDistance;
            cbCShout.Checked = Warrior.Instance.Settings.UseCShout;
            cbUsePummel.Checked = Warrior.Instance.Settings.UsePummel;
            cbUseCooldowns.Checked = Warrior.Instance.Settings.UseCooldowns;
            cbUseHL.Checked = Warrior.Instance.Settings.PauseOnPendingAOE;
            cbUseAoE.Checked = Warrior.Instance.Settings.UseAoE;
            cbUseSunder.Checked = Warrior.Instance.Settings.UseSunder;
            cbEnrage.Checked = Warrior.Instance.Settings.UseEnrage;
            cbUseBR.Checked = Warrior.Instance.Settings.UseBR;
            cbDShout.Checked = Warrior.Instance.Settings.UseDShout;
            rbUseArms.Checked = Warrior.Instance.Settings.UseArms;
            rbUseFury.Checked = Warrior.Instance.Settings.UseFury;
            rbUseProt.Checked = Warrior.Instance.Settings.UseProt;
        }

        private void label4_Click(object sender, EventArgs e)
        {

        }

        private void cbCShout_CheckedChanged(object sender, EventArgs e)
        {

        }
    }
}
