﻿using System;
using System.Collections.Generic;
using System.Threading;
using CommonBehaviors.Actions;
using Styx;
using Styx.Logic;
using Styx.Logic.Combat;
using Styx.Logic.Pathing;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using TreeSharp;
using Sequence = TreeSharp.Sequence;
using System.Linq;
using Action = TreeSharp.Action;

namespace Gladiatore
{
    partial class Warrior
    {
        public void PerformFuryCombat()
        {
            if (Me.Combat)
            {
                if (Warrior.Instance.Settings.UseFury && (Me.CurrentTarget.Distance < Warrior.Instance.Settings.MaxDistance))
                {
                    if (Me.CurrentTarget.IsPlayer && Me.CurrentTarget.Distance > 9)
                    {
                        if (!CastSpell(Inter) && !Me.CurrentTarget.HasAura("Intercept"))
                        {
                            SpellManager.Cast("Heroic Leap");
                            LegacySpellManager.ClickRemoteLocation(Me.CurrentTarget.Location);
                        }
                        else
                        {
                            SpellManager.Cast("Heroic Fury");
                        }
                    }

                    if (Me.CurrentTarget != null & Me.Combat)
                    {
                        Lua.DoString("StartAttack()");
                    }

                    if (Warrior.Instance.Settings.UseEnrage && Me.HealthPercent <= 50)
                    {
                        CastSpell(ER);
                    }

                    if (Me.Combat && (Me.HealthPercent < 90))
                    {
                        CastSpell(VR);
                    }

                    if (Me.Combat && Me.CurrentRage <= 50 && !Me.Mounted && !Warrior.Instance.Settings.UseCShout)
                    {
                        CastSpell(BShout);
                    }
                    else if (Me.Combat && Me.CurrentRage <= 50 && !Me.Mounted && Warrior.Instance.Settings.UseCShout)
                    {
                        CastSpell(CShout);
                    }

                    //Cast Zerker Stance if we are in combat
                    if (Me.Combat && !Me.HasAura("Berserker Stance"))
                    {
                        CastSpell(BZStance);
                    }

                    if (Warrior.Instance.Settings.UseDShout && (!Me.CurrentTarget.HasAura("Demoralizing Shout") || Me.CurrentTarget.ActiveAuras["Demoralizing Shout"].Duration < 3))
                    {
                        if (Me.CurrentTarget.Distance < 8)
                        {
                            CastSpell(DShout);
                        }
                    }

                    if (Me.Combat && Me.CurrentTarget != null)
                    {
                        if (Me.CurrentTarget.MaxHealth > 1000000 && (Me.CurrentTarget.HealthPercent < 95) && Warrior.Instance.Settings.UseCooldowns)
                        {
                            CastSpell(Reck);
                        }

                        if (Me.CurrentTarget.MaxHealth > 1000000 && (Me.CurrentTarget.HealthPercent < 95) && Warrior.Instance.Settings.UseCooldowns)
                        {
                            CastSpell(DW);
                        }

                        if (Me.CurrentTarget.IsCasting && (Me.CurrentTarget.Name != "Maloriak" && (Warrior.Instance.Settings.UsePummel)))
                        {
                            if (!CastSpell(Pummel))
                            {
                                CastSpell(WRST);
                            }
                        }

                        //Execute call!
                        if (Me.CurrentTarget.HealthPercent <= 20)
                        {
                            if (!Me.ActiveAuras.ContainsKey("Executioner"))
                            {
                                CastSpell(Exe);
                            }
                            else if ((Me.ActiveAuras.ContainsKey("Executioner")) && Me.ActiveAuras["Executioner"].StackCount < 5)
                            {
                                CastSpell(Exe);
                            }
                            else if (!CastSpell(BT))
                            {
                                if (!CastSpell(RB))
                                {
                                    if (!CastSpell(CS))
                                    {
                                        if (Me.ActiveAuras.ContainsKey("Bloodsurge"))
                                        {
                                            CastSpell(SL);
                                        }
                                    }
                                }
                            }
                            else if (!CastSpell(CS))
                            {
                                if (Me.CurrentRage > 60 && Me.CurrentTarget.HasAura("Colossus Smash"))
                                {
                                    CastSpell(HS);
                                }
                                else if (Me.CurrentRage > 75)
                                {
                                    CastSpell(HS);
                                }
                            }
                        }

                        if (Me.CurrentTarget.IsPlayer && !Me.CurrentTarget.HasAura("Hamstring"))
                        {
                            CastSpell(HAM);
                        }

                        if (Warrior.Instance.Settings.UseSunder)
                        {
                            if (!Me.CurrentTarget.HasAura("Sunder Armor"))
                            {
                                CastSpell(SA);
                            }
                        }

                        if (!CastSpell(BT))
                        {
                            CastSpell(RB);
                        }

                        if (Me.ActiveAuras.ContainsKey("Bloodsurge"))
                        {
                            CastSpell(SL);
                        }

                        if (!CastSpell(CS))
                        {
                            if (Me.CurrentRage > 60 && Me.CurrentTarget.HasAura("Colossus Smash"))
                            {
                                CastSpell(HS);
                            }
                            else if (Me.CurrentRage > 75)
                            {
                                CastSpell(HS);
                            }
                        }

                        if (Warrior.Instance.Settings.UseBR && !Me.ActiveAuras.ContainsKey("Enrage"))
                        {
                            CastSpell(BR);
                        }

                        if (Warrior.Instance.Settings.UseAoE)
                        {
                            adds = detectAdds();
                            {
                                if (adds.Count > 1)
                                {
                                    if (!CastSpell(CL))
                                    {
                                        CastSpell(WW);
                                    }
                                }
                            }
                        }
                        else
                        {
                            return;
                        }
                    }
                }
                return;
            }
        }
    }
}
