﻿using System;
using System.Collections.Generic;
using System.Threading;
using CommonBehaviors.Actions;
using Styx;
using Styx.Logic;
using Styx.Logic.Combat;
using Styx.Logic.Pathing;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using TreeSharp;
using Sequence = TreeSharp.Sequence;
using System.Linq;
using Action = TreeSharp.Action;

namespace Gladiatore
{
    partial class Warrior
    {
        void PerformProtCombat()
        {
            if (Me.Combat)
            {
                if (Warrior.Instance.Settings.UseProt && (Me.CurrentTarget.Distance < Warrior.Instance.Settings.MaxDistance))
                {
                    if (Me.CurrentTarget != null & Me.Combat)
                    {
                        Lua.DoString("StartAttack()");
                    }

                    if (Warrior.Instance.Settings.UseEnrage && Me.HealthPercent <= 50)
                    {
                        CastSpell(ER);
                    }

                    if (Me.Combat && (Me.HealthPercent < 90))
                    {
                        CastSpell(VR);
                    }

                    if (Me.Combat && Me.CurrentRage <= 50 && !Me.Mounted && !Warrior.Instance.Settings.UseCShout)
                    {
                        CastSpell(BShout);
                    }
                    else if (Me.Combat && Me.CurrentRage <= 50 && !Me.Mounted && Warrior.Instance.Settings.UseCShout)
                    {
                        CastSpell(CShout);
                    }

                    if (Me.Combat && !Me.HasAura("Defensive Stance"))
                    {
                        CastSpell(DStance);
                    }

                    if (Warrior.Instance.Settings.UseDShout && (!Me.CurrentTarget.HasAura("Demoralizing Shout") || Me.CurrentTarget.ActiveAuras["Demoralizing Shout"].Duration < 3))
                    {
                        if (Me.CurrentTarget.Distance < 8)
                        {
                            CastSpell(DShout);
                        }
                    }

                    if (Me.Combat)
                    {
                        if (Me.CurrentTarget.IsCasting && Warrior.Instance.Settings.UsePummel)
                        {
                            if (!CastSpell(Pummel))
                            {
                                if (!CastSpell(CB))
                                {
                                    CastSpell(SR);
                                }
                            }
                        }

                        if (Me.Combat && Me.HealthPercent < 40)
                        {
                            CastSpell(LS);
                        }

                        if (Me.Combat && Me.HealthPercent < 20)
                        {
                            CastSpell(SHW);
                        }

                        if (Me.Combat && Me.CurrentRage > 70)
                        {
                            CastSpell(HS);
                        }

                        if (Me.Combat && (EnhHasAura(Rend, Me.CurrentTarget) < 1))
                        {
                            CastSpell(Rend);
                        }

                        if (Me.Combat && (EnhHasAura(Rend, Me.CurrentTarget) > 1))
                        {
                            adds = detectAdds();
                            if (adds.Count < 2)
                            {
                                if (!CastSpell(Rev))
                                {
                                    if (!CastSpell(SHSL))
                                    {
                                        if (!Me.CurrentTarget.ActiveAuras.ContainsKey("Sunder Armor"))
                                        {
                                            CastSpell(Deva);
                                        }
                                        else if (Me.CurrentTarget.ActiveAuras["Sunder Armor"].StackCount < 3)
                                        {
                                            CastSpell(Deva);
                                        }
                                        else if (EnhHasAura(SA, Me.CurrentTarget) < 3)
                                        {
                                            CastSpell(Deva);
                                        }
                                        else if (Me.CurrentRage > 70)
                                        {
                                            CastSpell(HS);
                                        }
                                        else
                                        {
                                            CastSpell(Deva);
                                        }
                                    }
                                }
                            }
                        }

                        if (Me.Combat)
                        {
                            CastSpell(SB);
                        }

                        if (Me.Combat)
                        {
                            adds = detectAdds();
                            {
                                if (adds.Count > 1)
                                {
                                    if ((EnhHasAura(Rend, Me.CurrentTarget) < 1))
                                    {
                                        CastSpell(Rend);
                                    }

                                    if (EnhHasAura(Rend, Me.CurrentTarget) >= 1)
                                    {
                                        if (!CastSpell(TC))
                                        {
                                            if (!CastSpell(SW))
                                            {
                                                if (!CastSpell(Rev))
                                                {
                                                    if (!CastSpell(SHSL) && Me.CurrentRage >= 70)
                                                    {
                                                        CastSpell(CL);
                                                    }
                                                    else if (Me.CurrentTarget.ActiveAuras["Sunder Armor"].StackCount < 3)
                                                    {
                                                        CastSpell(Deva);
                                                    }
                                                    else if (EnhHasAura(SA, Me.CurrentTarget) < 3)
                                                    {
                                                        CastSpell(Deva);
                                                    }
                                                }
                                            }
                                        }
                                    }
                                    else
                                    {
                                        return;
                                    }
                                }
                            }
                        }
                    }
                    return;
                }
            }
        }
    }
}
